Bug 591312 - Review Request: maven-compiler-plugin - Maven Compiler Plugin
Review Request: maven-compiler-plugin - Maven Compiler Plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 16:49 EDT by Alexander Kurtakov
Modified: 2010-05-14 10:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 10:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jjohnstn: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-05-11 16:49:23 EDT
Spec URL: http://akurtakov.fedorapeople.org/maven-compiler-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-compiler-plugin-2.0.2-1.fc13.src.rpm
Description: The Compiler Plugin is used to compile the sources of your project.
Comment 1 Alexander Kurtakov 2010-05-11 16:54:15 EDT
Notes about this package:
- It uses version 2.0.2, which is not the latest, so that it can be built with
the current maven2-2.0.8; it will be updated to the newest version once the
newer maven is built
- It builds successfully in koji against the dist-f14-maven221
target: http://koji.fedoraproject.org/koji/taskinfo?taskID=2181317
Comment 2 Jeff Johnston 2010-05-12 12:20:47 EDT
According to the guidelines for maven spec files, jpackage-utils should be required.  In addition, the post and postun steps should require jpackage-utils.

Please fix or comment on the following rpmlint warnings/errors:

rpmlint on spec file:

maven-compiler-plugin.spec: W: invalid-url Source0: maven-compiler-plugin-2.0.2.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint on binaries:

bash $ rpmlint maven-compiler-plugin-2.0.2-1.fc14.noarch.rpm 
maven-compiler-plugin.noarch: E: no-changelogname-tag
maven-compiler-plugin.noarch: W: unexpanded-macro Provides maven2-plugin-compiler = %{epoch}:2.0.2-1.fc14 %{epoch}
maven-compiler-plugin.noarch: W: no-documentation
maven-compiler-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-compiler-plugin
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

bash $ rpmlint maven-compiler-plugin-javadoc-2.0.2-1.fc14.noarch.rpm 
maven-compiler-plugin-javadoc.noarch: E: no-changelogname-tag
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 3 Alexander Kurtakov 2010-05-12 16:28:24 EDT
(In reply to comment #2)
> According to the guidelines for maven spec files, jpackage-utils should be
> required.  In addition, the post and postun steps should require
> jpackage-utils.
> 
Fixed.

> Please fix or comment on the following rpmlint warnings/errors:
> 
> rpmlint on spec file:
> 
> maven-compiler-plugin.spec: W: invalid-url Source0:
> maven-compiler-plugin-2.0.2.tar.xz
> 0 packages and 1 specfiles checked; 0 errors, 1 warnings.
There is no source released from upstream just svn tag.


> 
> rpmlint on binaries:
> 
> bash $ rpmlint maven-compiler-plugin-2.0.2-1.fc14.noarch.rpm 
> maven-compiler-plugin.noarch: E: no-changelogname-tag
I can not see this one.

> maven-compiler-plugin.noarch: W: unexpanded-macro Provides
> maven2-plugin-compiler = %{epoch}:2.0.2-1.fc14 %{epoch}
Fixed.

> maven-compiler-plugin.noarch: W: no-documentation
No documentation provided.
> maven-compiler-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-compiler-plugin
False positive.
> 1 packages and 0 specfiles checked; 1 errors, 3 warnings.
> 
> bash $ rpmlint maven-compiler-plugin-javadoc-2.0.2-1.fc14.noarch.rpm 
> maven-compiler-plugin-javadoc.noarch: E: no-changelogname-tag
I cannot see this.
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.    

New sources:
Spec URL: http://akurtakov.fedorapeople.org/maven-compiler-plugin.spec
SRPM URL:
http://akurtakov.fedorapeople.org/maven-compiler-plugin-2.0.2-2.fc13.src.rpm
Comment 4 Jeff Johnston 2010-05-12 17:13:54 EDT
Approved.
Comment 5 Alexander Kurtakov 2010-05-12 17:16:53 EDT
New Package CVS Request
=======================
Package Name: maven-compiler-plugin
Short Description: Maven Compiler Plugin
Owners: akurtakov
Branches: 
InitialCC:
Comment 6 Dennis Gilmore 2010-05-13 18:28:11 EDT
CVS Done
Comment 7 Alexander Kurtakov 2010-05-14 10:20:20 EDT
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=173429

Note You need to log in before you can comment on or make changes to this bug.